romfs_header Struct Reference

RomFS header. More...

`#include <romfs.h>`

## Data Fields

u32 | headerSize
| Size of the header.
u32 | dirHashTableOff
| Offset of the directory hash table.
u32 | dirHashTableSize
| Size of the directory hash table.
u32 | dirTableOff
| Offset of the directory table.
u32 | dirTableSize
| Size of the directory table.
u32 | fileHashTableOff
| Offset of the file hash table.
u32 | fileHashTableSize
| Size of the file hash table.
u32 | fileTableOff
| Offset of the file table.
u32 | fileTableSize
| Size of the file table.
u32 | fileDataOff
| Offset of the file data.

## Detailed Description

RomFS header.

The documentation for this struct was generated from the following file:

- include/3ds/romfs.h